Bug 229026 - [LFC][IFC] Make mid-word breaking surrogate pair aware
Summary: [LFC][IFC] Make mid-word breaking surrogate pair aware
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-11 21:52 PDT by zalan
Modified: 2021-08-21 06:42 PDT (History)
6 users (show)

See Also:


Attachments
Patch (7.90 KB, patch)
2021-08-11 21:58 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (4.93 KB, patch)
2021-08-20 18:19 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-08-11 21:52:06 PDT
ssia
Comment 1 zalan 2021-08-11 21:58:57 PDT
Created attachment 435394 [details]
Patch
Comment 2 zalan 2021-08-12 09:37:44 PDT
Enabling surrogate pairs requires the non-primary font patch where glyphs can stretch the parent inline box.
Comment 3 Radar WebKit Bug Importer 2021-08-18 21:53:23 PDT
<rdar://problem/82109382>
Comment 4 EWS 2021-08-20 15:00:22 PDT
Committed r281341 (240758@main): <https://commits.webkit.org/240758@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435394 [details].
Comment 5 Darin Adler 2021-08-20 15:11:42 PDT
Comment on attachment 435394 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435394&action=review

> Source/WebCore/ChangeLog:15
> +        (WebCore::Layout::TextUtil::midWorkdBreak):

s/Workd/Word/g
Comment 6 zalan 2021-08-20 15:23:57 PDT
(In reply to Darin Adler from comment #5)
> Comment on attachment 435394 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=435394&action=review
> 
> > Source/WebCore/ChangeLog:15
> > +        (WebCore::Layout::TextUtil::midWorkdBreak):
> 
> s/Workd/Word/g
:( thanks.
Comment 7 zalan 2021-08-20 18:19:40 PDT
Created attachment 436052 [details]
Patch
Comment 8 zalan 2021-08-20 18:29:39 PDT
Fix spelling issue
Comment 9 EWS 2021-08-20 21:01:31 PDT
Found 1 new test failure: http/tests/media/modern-media-controls/pip-support/pip-support-live-broadcast.html
Comment 10 EWS 2021-08-21 06:42:56 PDT
Committed r281372 (240787@main): <https://commits.webkit.org/240787@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436052 [details].